#include <string.h>
#include "defines.h"

int fn_ext0(unchar *oldpath,unchar newpath[],unchar *newext)
// 拡張子補足：フルパス名補足付き（簡易型）
{
unchar drv[MAXDRIVE],dir[MAXDIR],fname[MAXFILE],ext[MAXEXT];
int ret=0;
	strsfn(oldpath,drv,dir,fname,ext);
	if (dir[0]==0) { /* ルートディレクトリの時 */
		dir[0]='\\';
		dir[1]=0;
	}
	/* 拡張子が全く無い時のみ補足：拡張子なしファイルはfname.で表わす */
	/* ファイル名後ろの'.'がポイント */
	if (ext[0]==0 && oldpath[strlen(oldpath)-1]!='.') ret=1;
	strmfn(newpath,drv,dir,fname,ret==1? newext:ext);
	return(ret);
}
